Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos
Class LastReqElement

    java.lang.Object
      |
      +--com.dstc.security.kerberos.LastReqElement

public class LastReqElement
extends Object

A class to represent a component of a LastReq sent by an Authentication Service or a Ticket Granting Service in response to a ticket request. LastReq includes the time(s) of the last request made by the principal which are interpreted according to associated types. This class encapsulates the time and the associated type. The returned time(s) may be useful to discover unauthorized use of one's identity, similar in spirit to the last login time in Unix.

The Kerberos LastReq is defined in RFC1510 by the ASN.1 structure

       LastReq ::=  SEQUENCE OF SEQUENCE {
                         lr-type[0]     INTEGER,
                         lr-value[1]    KerberosTime
       }

See Also:
  `KrbASRep`, `KrbTGSRep`

Field Summary
`static int` | `LAST_INITIAL_REQUEST`
`static int` | `LAST_INITIAL_REQUEST_TGT`
`static int` | `LAST_RENEWABLE`
`static int` | `LAST_REQUEST`
`static int` | `NEWEST_TGT`
`static int` | `NO_INFORMATION`

Method Summary
`String` | `toString()` Returns a String representation of this LastReqElement
`int` | `type()` Returns the type of this LastReqElement
`Date` | `value()` Returns the time of this LastReqElement

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_INFORMATION

    public static final int NO_INFORMATION

### LAST_INITIAL_REQUEST_TGT

    public static final int LAST_INITIAL_REQUEST_TGT

### LAST_INITIAL_REQUEST

    public static final int LAST_INITIAL_REQUEST

### NEWEST_TGT

    public static final int NEWEST_TGT

### LAST_RENEWABLE

    public static final int LAST_RENEWABLE

### LAST_REQUEST

    public static final int LAST_REQUEST

Method Detail

### type

    public int type()

  Returns the type of this LastReqElement

### value

    public Date value()

  Returns the time of this LastReqElement

### toString

    public String toString()

  Returns a String representation of this LastReqElement
  Overrides:
    toString in class Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD